API reference

API reference · Public

Measured latency and error rate per model

GET/api/observatoryNo key

Parameters

Path and query parameters
FieldTypeWhat it is
window (query)stringDefault 24h. One of "24h", "7d".
model (query)stringRestrict to one model id.

Answer 200

Probe derived statistics.

Fields of the 200 answer
FieldTypeWhat it is
windowstringOne of "24h", "7d".
statsarray of object
stats[].modelstring
stats[].samplesinteger
stats[].errorRatenumber
stats[].avgTtftMsnumber or null
stats[].p50TtftMsnumber or null
stats[].p95TtftMsnumber or null
stats[].avgTokensPerSecnumber or null
Antimatter